Test Connection
curl --request POST \
--url https://api.xplenty.com/{account_id}/api/connections/{connection_type}/{connection_id}/test \
--header 'Accept: <accept>' \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.xplenty.com/{account_id}/api/connections/{connection_type}/{connection_id}/test"
headers = {
"Accept": "<accept>",
"Authorization": "Basic <encoded-value>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Accept: '<accept>', Authorization: 'Basic <encoded-value>'}
};
fetch('https://api.xplenty.com/{account_id}/api/connections/{connection_type}/{connection_id}/test', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>"
}Connections
Test Connection
Tests the specified existing connection to verify it can connect.
POST
/
connections
/
{connection_type}
/
{connection_id}
/
test
Test Connection
Authorizations
Enter your API key as the username. Leave the password field blank.
Example: curl -u YOUR_API_KEY: https://api.xplenty.com/...
Headers
API version header — required on all requests
Path Parameters
The type of the connection (e.g., sftp, mysql, salesforce).
The numeric ID of the connection to test.
Last modified on July 14, 2026
Was this page helpful?
⌘I